# Class JString

java.lang.Object
org.apache.jute.compiler.JType
org.apache.jute.compiler.JString

public class JString extends JType

## Field Summary

### Fields inherited from class JType

`mMethodSuffix`

## Constructor Summary

Constructors
Constructor
Description
`JString()`
Creates a new instance of JString.

## Method Summary

Modifier and Type
Method
Description
`String`
`genJavaReadWrapper(String fname, String tag, boolean decl)`
`String`
`genJavaWriteWrapper(String fname, String tag)`
`String`
`getSignature()`

### Methods inherited from class JType

`genCsharpConstructorParam, genCsharpDecl`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JString

public JString()
Creates a new instance of JString.

## Method Details

### getSignature

public String getSignature()

### genJavaReadWrapper

public String genJavaReadWrapper(String fname, String tag, boolean decl)

### genJavaWriteWrapper

public String genJavaWriteWrapper(String fname, String tag)